> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# User Account🔑

> Get Telegram user details

<Callout icon="key" color="#FFC107" iconType="regular">This endpoint returns the **masterID**, a unique identifier for each social account we track. It is required for other endpoints, so be sure to store it in your database for reuse.</Callout>

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "profile": {
      "masterID": "1756209348925x966570626030448800",
      "userID": "1295901534",
      "username": "null",
      "platform": "telegram",
      "url": "https://t.me/null",
      "name": "Cristiano Ronaldo",
      "image": "",
      "description": "Admin: @cobbl\nAds: @Source_Ads , https://telega.io/c/cristiano",
      "country": "",
      "countryCode": "",
      "city": "",
      "type": "influencer",
      "gender": "m",
      "age": "35_45",
      "communityStatus": "COLLECTING",
      "isBlocked": true,
      "isClosed": false,
      "verified": false
    },
    "stats": {
      "followersCount": 45592,
      "avgLikes": 340,
      "avgComments": 25,
      "avgER": 0.0424667459008175,
      "avgInteractions": 377,
      "avgViews": 8866,
      "ratingIndex": 45592.8316301088,
      "qualityScore": 0.56106071179344
    },
    "lastUpdatedISO": "2025-08-26T11:55:46.927Z",
    "lastUpdated": "26-08-2025"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/telegram-user-account
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/telegram-user-account:
    get:
      tags:
        - Workflow
      description: Triggers the workflow telegram-user-account
      operationId: get_wf_telegram-user-account
      parameters:
        - name: url
          in: query
          required: true
          description: 'Profile url. Example: `https://t.me/cristiano`'
          schema:
            type: string
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````